<?php
/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/
defined( '_JEXEC' ) or die( 'Restricted access' );
require_once (dirname(__FILE__).DS.'helper.php');
$module_id = 'tooltipid'.$module->id;
$jquery = $params->get('jquery',1);
$css = $params->get('css');
$source = $params->get('content_source');

$sticky1 = "";
$sticky2 = "";
$style    = $params->get( "style", "default" );
$position = $params->get( "position", "cursor" );
$width    = $params->get( "width", 300 );
$duration = $params->get( "duration", 300 );
$sticky   = $params->get( "sticky", 0 );
$track   = $params->get( "track", 0 ) ? ',target: "mouse",adjust:{x:10,y:10}': '';
$event   = $params->get( "event", 'mouseover' );
$rounded   = $params->get( "rounded", 0 ) ? " ui-tooltip-rounded" : "";
$shadows   = $params->get( "shadows", 0 ) ? " ui-tooltip-shadow" : "";
$modal      = $params->get( "modal", 0 ) ? "modal: true,solo: true," : "";
if($sticky == 1){$sticky1 =",button: true";$sticky2 ="hide:false,";}

switch ($position) {
   case 'bottom_left':
	  $position = 'at: "bottom left",my: "top left",';
	  break;
   case 'bottom_right':
	  $position = 'at: "bottom right",my: "top right",';
	  break;
   case 'bottom_center':
	  $position = 'at: "bottom center",my: "top center",';
	  break;
   case 'top_left':
	  $position = 'at: "top left",my: "bottom left",';
	  break;
   case 'top_right':
	  $position = 'at: "top right",my: "bottom right",';
	  break;
   case 'top_center':
	  $position = 'at: "top center",my: "bottom center",';
	  break;
   case 'left_center':
	  $position = 'at: "left center",my: "right center",';
	  break;
   case 'left_top':
	  $position = 'at: "left top",my: "right top",';
	  break;  
   case 'left_bottom':
	  $position = 'at: "left bottom",my: "right bottom",';
	  break;
   case 'right_center':
	  $position = 'at: "right center",my: "left center",';
	  break;
   case 'right_top':
	  $position = 'at: "right top",my: "left top",';
	  break;
   case 'right_bottom':
	  $position = 'at: "right bottom",my: "left bottom",';
	  break;
   case 'center':
	  $position = 'at: "center",my: "center",';
	  break;
}
////////// Image Gallery /////////////////////
$imagePath 	= modVtemTooltipHelper::cleanDir($params->get( 'imagePath', 'images/sampledata/fruitshop' ));
$sortCriteria = $params->get( 'sortCriteria', 0);
$sortOrder = $params->get( 'sortOrder', 'asc');
$sortOrderManual = $params->get( 'sortOrderManual', '');
$thumb_gallery_width = ($params->get('thumb_gallery_width') == NULL OR $params->get('thumb_gallery_width') == 0 OR $params->get('thumb_gallery_width') == 'auto') ? 'auto' : $params->get('thumb_gallery_width').'px';
$thumb_gallery_height = ($params->get('thumb_gallery_height') == NULL OR $params->get('thumb_gallery_height') == 0 OR $params->get('thumb_gallery_height') == 'auto') ? 'auto' : $params->get('thumb_gallery_height').'px';
if (trim($sortOrderManual) != "")
	$images = explode(",", $sortOrderManual);
else
	$images = modVtemTooltipHelper::imageList($imagePath, $sortCriteria, $sortOrder);

///////////// Youtube Object /////////////////
$youtube_link = $params->get('youtube_link');
$youtubelinklabel = $params->get('youtubelinklabel');
$youtubetitle = $params->get('youtubetitle');
$youtubeurl = $params->get('youtubeurl');
///////////// Vimeo Object /////////////////
$vimeo_link = $params->get('vimeo_link');
$vimeolinklabel = $params->get('vimeolinklabel');
$vimeotitle = $params->get('vimeotitle');
$vimeourl = $params->get('vimeourl');
/////////// Inline Content /////////////////
$inlinelink = $params->get( 'inlinelink');
$inlinetitle = $params->get( 'inlinetitle');
$inline_content = $params->get( 'inline_content');
$inline_linktext = $params->get( 'inline_linktext');
///////////// Iframe /////////////////
$iframe_link = $params->get( 'iframe_link');
$iframelinklabel = $params->get( 'iframelinklabel');
$iframetitle = $params->get( 'iframetitle');
$iframeurl = $params->get( 'iframeurl');
/////////// Module ////////////////////////
$module_link = $params->get( 'mod_link');
$modulelinklabel = $params->get( 'modlabel');
/////////// Flickr ////////////////////////
$flickruserid = $params->get('flickruserid');
$flickrlimit = $params->get('flickrlimit');
$flicksmall = $params->get('flicksmall');
$flickrbig = $params->get('flickrbig');
/////////// ARTICLE ID ////////////////////////
$article_link = $params->get('article_link');
$articlelinklabel = $params->get('articlelinklabel');
$articletitle = $params->get('articletitle');
$articleid = $params->get('articleid');
/////////// ARTICLE ID ////////////////////////
$gmap_link = $params->get('gmap_link');
$gmaplinklabel = $params->get('gmaplinklabel');
$gmaptitle = $params->get('gmaptitle');
$gmapcoords = $params->get('gmapcoords');


$doc =& JFactory::getDocument();
if($jquery ==1){
   $doc->addScript(JURI::root(true).'/modules/mod_vtem_tooltip/styles/jquery-1.4.4.min.js');
}
$doc->addScript(JURI::root(true).'/modules/mod_vtem_tooltip/styles/jquery.qtip.js');
$doc->addStyleSheet(JURI::root(true).'/modules/mod_vtem_tooltip/styles/jquery.qtip.css');
$doc->addStyleDeclaration( $css );

require(JModuleHelper::getLayoutPath('mod_vtem_tooltip','default'));
?>