/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/

if ($defined(window.jQuery) && $type(jQuery.noConflict)=='function') {
    jQuery.noConflict();
}

jQuery(document).ready( function(){  
    jQuery('#param-page').hide();   
    //Set default open/close settings
    jQuery('.acc_container').hide(); //Hide/close all containers
    jQuery('.acc_trigger:first').addClass('active').next().show(); //Add "active" class to first trigger, then show/open the immediate next container

    //On Click
    jQuery('.acc_trigger').click(function(){
        if( jQuery(this).next().is(':hidden') ) { //If immediate next container is closed...
            jQuery('.acc_trigger').removeClass('active').next().slideUp(); //Remove all "active" state and slide up the immediate next container
            jQuery(this).toggleClass('active').next().slideDown(); //Add "active" state to clicked trigger and slide down the immediate next container
        }
        else{
            jQuery('.acc_trigger').removeClass('active');
            jQuery(this).next().slideUp();
        }
        return false; //Prevent the browser jump to the link anchor
    });

    
     //Joomla, k2 and modules  Accordion hide and show effect depend on content source.
function showgallery(){
        jQuery('.vt_gallery').addClass('active').slideDown();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
    function showimage(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
        jQuery('.vt_image').addClass('active').slideDown();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
    function showinline(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').addClass('active').slideDown();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
    function showexternal(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').addClass('active').slideDown();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
	function showflickr(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').addClass('active').slideDown();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
	function showpicasa(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').addClass('active').slideDown();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
	function showmodule(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').addClass('active').slideDown();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
	function showarticle(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').addClass('active').slideDown();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
	function showvimeo(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').addClass('active').slideDown();
		jQuery('.vt_gmap').removeClass('active').hide();
    }
	function showgmap(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
		jQuery('.vt_vimeo').removeClass('active').hide();
		jQuery('.vt_gmap').addClass('active').slideDown();
    }
    
    //determine which settings is enable in content source and show related container
    switch(jQuery('#paramscontent_source').val()){
       case 'gallery':
            showgallery();
            break;
        case 'youtube':
            showimage();
            break;
        case 'inline':
            showinline();
            break;
		case 'external':
            showexternal();
            break;
		case 'flickr':
            showflickr();
            break;
		case 'picasa':
            showpicasa();
            break;
		case 'module':
            showmodule();
            break;
		case 'article':
            showarticle();
            break;
		case 'vimeo':
            showvimeo();
            break;
		case 'gmap':
            showgmap();
            break;
    }
    
    //change accordion realtime 
    jQuery('#paramscontent_source').change(function(){
        switch(jQuery('#paramscontent_source').val()){
         case 'gallery':
            showgallery();
            break;
        case 'youtube':
            showimage();
            break;
        case 'inline':
            showinline();
            break;
		case 'external':
            showexternal();
            break;
		case 'flickr':
            showflickr();
            break;
		case 'picasa':
            showpicasa();
            break;
		case 'module':
            showmodule();
            break;
		case 'article':
            showarticle();
            break;
		case 'vimeo':
            showvimeo();
            break;
		case 'gmap':
            showgmap();
            break;
    }
    });
});